<?php


namespace Diamond\Contracts;

use Diamond\DTO\Customer;

/**
 * @deprecated
 * @author Admin
 */
interface CustomerEmailFinderInterface
{
    /**
     * получение всех клиентских email
     * findEmailsAll
     */
    public function findEmailsAll():array;
    
    /**
     * findEmailsblockClients
     */
    public function findEmailsblockClients():array;
    
    /**
     * findEmailsNoneAuthClients
     */
    public function findEmailsNoneAuthClients():array;
    
    /**
     * 
     */
    public function findEmailsAuthClients(): array;
    
    /**
     * 
     * @param string $param
     */
    public function findClientDataByEmail(string $param): array;
    
    /**
     * 
     * @param string $param
     */
    public function findEmailsgroup3ClientsOffice1(): array;

    /**
     * @return Customer|null
     */
    public function findClientByEmail(string $email):?Customer;
}